Package org.apache.lucene.search.uhighlight

# Class CustomSeparatorBreakIterator

java.lang.Object
java.text.BreakIterator
org.apache.lucene.search.uhighlight.CustomSeparatorBreakIterator

All Implemented Interfaces:
  `Cloneable`

public final class CustomSeparatorBreakIterator extends BreakIterator
A `BreakIterator` that breaks the text whenever a certain separator, provided as a constructor argument, is found.

## Field Summary

### Fields inherited from class java.text.BreakIterator

`DONE`

## Constructor Summary

Constructors
Constructor
Description
`CustomSeparatorBreakIterator(char separator)`

## Method Summary

Modifier and Type
Method
Description
`int`
`current()`
`int`
`first()`
`int`
`following(int pos)`
`CharacterIterator`
`getText()`
`int`
`last()`
`int`
`next()`
`int`
`next(int n)`
`int`
`preceding(int pos)`
`int`
`previous()`
`void`
`setText(CharacterIterator newText)`

### Methods inherited from class java.text.BreakIterator

`clone, getAvailableLocales, getCharacterInstance, getCharacterInstance, getLineInstance, getLineInstance, getSentenceInstance, getSentenceInstance, getWordInstance, getWordInstance, isBoundary, setText`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CustomSeparatorBreakIterator

public CustomSeparatorBreakIterator(char separator)

## Method Details

### current

public int current()

Specified by:
  `current` in class `BreakIterator`

### first

public int first()

Specified by:
  `first` in class `BreakIterator`

### last

public int last()

Specified by:
  `last` in class `BreakIterator`

### next

public int next()

Specified by:
  `next` in class `BreakIterator`

### following

public int following(int pos)

Specified by:
  `following` in class `BreakIterator`

### previous

public int previous()

Specified by:
  `previous` in class `BreakIterator`

### preceding

public int preceding(int pos)

Overrides:
  `preceding` in class `BreakIterator`

### next

public int next(int n)

Specified by:
  `next` in class `BreakIterator`

### getText

public CharacterIterator getText()

Specified by:
  `getText` in class `BreakIterator`

### setText

public void setText(CharacterIterator newText)

Specified by:
  `setText` in class `BreakIterator`